Upload single-part media and finalize (No need to call /complete after upload if using this endpoint)
curl --request PUT \
--url https://api.ofauth.com/v2/access/uploads/:mediaUploadId \
--header 'apiKey: <api-key>' \
--header 'x-connection-id: <api-key>'import requests
url = "https://api.ofauth.com/v2/access/uploads/:mediaUploadId"
headers = {
"apiKey": "<api-key>",
"x-connection-id": "<api-key>"
}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {apiKey: '<api-key>', 'x-connection-id': '<api-key>'}};
fetch('https://api.ofauth.com/v2/access/uploads/:mediaUploadId', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mediaUploadId": "<string>",
"media": {
"id": 123,
"convertedToVideo": true,
"canView": true,
"hasError": true,
"createdAt": "<string>",
"isReady": true,
"releaseForms": [
{
"id": 123,
"name": "<string>",
"partnerSource": "<string>",
"type": "<string>",
"user": {
"view": "<string>",
"id": 123,
"name": "<string>",
"username": "<string>",
"isVerified": true,
"avatar": "<string>",
"avatarThumbs": {
"c50": "<string>",
"c144": "<string>"
},
"ivStatus": "<string>",
"isFromGuest": true
}
}
],
"duration": 123,
"hasCustomPreview": true,
"videoSources": {
"240": "<string>",
"720": "<string>"
},
"files": {
"full": {
"url": "<string>",
"sources": [
{
"url": "<string>",
"width": 123,
"height": 123,
"type": "<string>"
}
],
"width": 123,
"height": 123,
"size": 123
},
"thumb": {
"url": "<string>",
"width": 123,
"height": 123,
"size": 123
},
"preview": {
"url": "<string>",
"options": [
{
"url": "<string>",
"width": 123,
"height": 123,
"type": "<string>"
}
],
"width": 123,
"height": 123,
"size": 123
},
"squarePreview": {
"url": "<string>",
"width": 123,
"height": 123,
"size": 123
}
}
}
}Uploads
Upload single-part media and finalize (No need to call /complete after upload if using this endpoint)
deprecated
Upload single-part media and finalize (No need to call /complete after upload if using this endpoint)
Permission Required: vault:write
PUT
/
v2
/
access
/
uploads
/
:mediaUploadId
Upload single-part media and finalize (No need to call /complete after upload if using this endpoint)
Authorizations
Requires a connection via the x-connection-id header.
Path Parameters
Upload session ID
Minimum string length:
1Was this page helpful?
⌘I